Search documentation of polar_express

# PolarExpress.Schemas.CustomerStateMeter (polar_express v0.1.5)

Copy Markdown View Source

CustomerStateMeter

An active meter for a customer, with latest consumed and credited units.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.CustomerStateMeter{
      balance: float() | nil,
      consumed_units: float() | nil,
      created_at: DateTime.t() | nil,
      credited_units: integer() | nil,
      id: String.t() | nil,
      meter_id: String.t() | nil,
      modified_at: DateTime.t() | nil
    }

- `balance` - The balance of the meter, i.e. the difference between credited and consumed units.
- `consumed_units` - The number of consumed units.
- `created_at` - Creation timestamp of the object. Format: date-time.
- `credited_units` - The number of credited units.
- `id` - The ID of the object. Format: uuid4.
- `meter_id` - The ID of the meter. Format: uuid4.
- `modified_at` - Last modification timestamp of the object. Nullable.

## Functions

# schema_name()